StateScript
Date: 2019-10-22

org.jmol.modelset

## Class StateScript

- java.lang.Object
- - org.jmol.modelset.StateScript

-     public class StateScript
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.BS` | `bsAtoms1`
    `private javajs.util.BS` | `bsAtoms2`
    `private javajs.util.BS` | `bsBonds`
    `boolean` | `inDefinedStateBlock`
    `private int` | `modelIndex`
    `private java.lang.String` | `script1`
    `private java.lang.String` | `script2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateScript(int modelIndex, java.lang.String script1, javajs.util.BS bsBonds, javajs.util.BS bsAtoms1, javajs.util.BS bsAtoms2, java.lang.String script2, boolean inDefinedStateBlock)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteAtoms(int modelIndex, javajs.util.BS bsBonds, javajs.util.BS bsAtoms)`
    `boolean` | `isConnect()`
    `boolean` | `isValid()`
    `void` | `setModelIndex(int index)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### modelIndex

          private int modelIndex

    - #### bsBonds

          private javajs.util.BS bsBonds

    - #### bsAtoms1

          private javajs.util.BS bsAtoms1

    - #### bsAtoms2

          private javajs.util.BS bsAtoms2

    - #### script1

          private java.lang.String script1

    - #### script2

          private java.lang.String script2

    - #### inDefinedStateBlock

          public boolean inDefinedStateBlock

  - ### Constructor Detail

    - #### StateScript

          StateScript(int modelIndex,
                      java.lang.String script1,
                      javajs.util.BS bsBonds,
                      javajs.util.BS bsAtoms1,
                      javajs.util.BS bsAtoms2,
                      java.lang.String script2,
                      boolean inDefinedStateBlock)

  - ### Method Detail

    - #### isValid

          public boolean isValid()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isConnect

          public boolean isConnect()

    - #### deleteAtoms

          public boolean deleteAtoms(int modelIndex,
                                     javajs.util.BS bsBonds,
                                     javajs.util.BS bsAtoms)

    - #### setModelIndex

          public void setModelIndex(int index)